Skip to content
Start here

Delete a webhook

client.RealtimeKit.Webhooks.DeleteWebhook(ctx, appID, webhookID, body) (*WebhookDeleteWebhookResponse, error)
DELETE/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Removes a webhook for the given webhook ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
webhookID string
body WebhookDeleteWebhookParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type WebhookDeleteWebhookResponse struct{…}
Data WebhookDeleteWebhookResponseData
ID string

ID of the webhook

formatuuid
CreatedAt Time

Timestamp when this webhook was created

formatdate-time
Enabled bool

Set to true if the webhook is active

Events []WebhookDeleteWebhookResponseDataEvent

Events this webhook will send updates for

One of the following:
const WebhookDeleteWebhookResponseDataEventMeetingStarted WebhookDeleteWebhookResponseDataEvent = "meeting.started"
const WebhookDeleteWebhookResponseDataEventMeetingEnded WebhookDeleteWebhookResponseDataEvent = "meeting.ended"
const WebhookDeleteWebhookResponseDataEventMeetingParticipantJoined WebhookDeleteWebhookResponseDataEvent = "meeting.participantJoined"
const WebhookDeleteWebhookResponseDataEventMeetingParticipantLeft WebhookDeleteWebhookResponseDataEvent = "meeting.participantLeft"
const WebhookDeleteWebhookResponseDataEventMeetingChatSynced WebhookDeleteWebhookResponseDataEvent = "meeting.chatSynced"
const WebhookDeleteWebhookResponseDataEventRecordingStatusUpdate WebhookDeleteWebhookResponseDataEvent = "recording.statusUpdate"
const WebhookDeleteWebhookResponseDataEventLivestreamingStatusUpdate WebhookDeleteWebhookResponseDataEvent = "livestreaming.statusUpdate"
const WebhookDeleteWebhookResponseDataEventMeetingTranscript WebhookDeleteWebhookResponseDataEvent = "meeting.transcript"
const WebhookDeleteWebhookResponseDataEventMeetingSummary WebhookDeleteWebhookResponseDataEvent = "meeting.summary"
Name string

Name of the webhook

UpdatedAt Time

Timestamp when this webhook was updated

formatdate-time
URL string

URL the webhook will send events to

formaturi
Success bool

Delete a webhook

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Webhooks.DeleteWebhook(
    context.TODO(),
    "app_id",
    "webhook_id",
    realtime_kit.WebhookDeleteWebhookParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
    "created_at": "2022-05-28T07:01:53.075Z",
    "enabled": true,
    "events": [
      "meeting.started",
      "meeting.ended",
      "meeting.participantJoined",
      "meeting.participantLeft",
      "meeting.chatSynced",
      "recording.statusUpdate",
      "livestreaming.statusUpdate",
      "meeting.transcript",
      "meeting.summary"
    ],
    "name": "All events webhook",
    "updated_at": "2022-05-28T07:01:53.075Z",
    "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
  },
  "success": true
}
"{\n  \"message\": \"Unauthorized\"\n}\n"
Returns Examples
{
  "data": {
    "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
    "created_at": "2022-05-28T07:01:53.075Z",
    "enabled": true,
    "events": [
      "meeting.started",
      "meeting.ended",
      "meeting.participantJoined",
      "meeting.participantLeft",
      "meeting.chatSynced",
      "recording.statusUpdate",
      "livestreaming.statusUpdate",
      "meeting.transcript",
      "meeting.summary"
    ],
    "name": "All events webhook",
    "updated_at": "2022-05-28T07:01:53.075Z",
    "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
  },
  "success": true
}
"{\n  \"message\": \"Unauthorized\"\n}\n"